Replies: 4 (Who?), Viewed: 325 times.
Inventor
Original Poster
#1 Old 8th Sep 2020 at 5:09 PM
Default Update question
I just got University life in Origin, and it says I must update my game before I install. My game has been on version 1.66 since I've been playing and it works fine. I
m afraid to update though because I have many mods and stuff a lot that were made for my version, including nraas, and I'm scared my game won't work if I update and I don't think you can just undo an update..
Advertisement
Mad Poster
#2 Old 8th Sep 2020 at 6:59 PM
You can't have an Origin controlled game that is on any patch other than 1.69 (on Windows; it's different on Macs). This update comes by way of Origin only, not from any other sources, and it what it does is tie the game to Origin/the Launcher and those must be used to start it every time from that point forward. You can't add an EP/SP by way of Origin and not have this be a requirement. It's been this way (unfortunately) since early 2016. If you are currently on 1.66, I take it that you have a disc-only install or have in some other way managed to avoid Origin until now?

The update from 1.66 to 1.67 was trivial, there are no mods that work with one but not the other. The update from 1.66/67 to 1.69 is almost trivial in that yes you get the Origin requirement to start the game and the annoying song and dance while your packs are validated on each startup, but except for their internal build numbers the actual game files are exactly the same. Only Core Mods care about internal build numbers and will display a warning if they are mismatched that can usually be clicked through, but it's an extra annoyance. There are only five Core Mods in popular usage, so the answer is to get the 1.69 version for any that you may have. Other mods, including all other NRaas mods, and forms of added content do not care about any of this and will work (or not work) exactly the same across the three patch levels. There are some external utilities like EasyCASP and CCMagic that work differently or not at all on 1.69.

The five Core Mods are:

NRaas ErrorTrap (has a 1.69 version available)
NRaas UntranslatedKey (no 1.69 but this is really for developers)
CMarNYC's XCAS (has a 1.69 version)
Consort's 2X Weight/Fitness (has a 1.69 version)
AwesomeMod (current version auto-detects 1.69 and reacts accordingly)
Inventor
Original Poster
#3 Old 8th Sep 2020 at 8:42 PM
Hey so here’s how it is. Most of my sims 3 games were all by disc even the base game except for island paradise from origin. Though a few years ago I just happened to get the sims 3 in my origin for some reason, and now it looks like I got the university and it’s tied to the origin game. But I have a feeling that the origin sims 3 and the ones I’ve been using would be considered different games. Could I potentially just get university on disc, this bypassing origin and getting it with my games from disc?
Mad Poster
#4 Old 8th Sep 2020 at 10:16 PM
This is on Windows? I'm afraid I don't have an answer for that as I can't quite understand how you can be running a disc install on Patch 1.66 yet have the IP expansion installed by way of Origin. I mean, of course I believe you but there is some information missing there that my brain doesn't seem to be able to fill in. Origin can (or at least it's supposed to) manage mixed disc/digital installs, so this is certainly possible, but I would have thought that Patch 1.69 would still be required to make that work.

Oh wait, I know...(slurps down more coffee). Nope, didn't help that time. Hmm.
Inventor
Original Poster
#5 Old 8th Sep 2020 at 11:10 PM
Quote:
Originally Posted by igazor
This is on Windows? I'm afraid I don't have an answer for that as I can't quite understand how you can be running a disc install on Patch 1.66 yet have the IP expansion installed by way of Origin. I mean, of course I believe you but there is some information missing there that my brain doesn't seem to be able to fill in. Origin can (or at least it's supposed to) manage mixed disc/digital installs, so this is certainly possible, but I would have thought that Patch 1.69 would still be required to make that work.

Oh wait, I know...(slurps down more coffee). Nope, didn't help that time. Hmm.


Yeah I don’t know lol. Guess then only way to get any new eps and bypas update/origin is by getting a hard copy lol
Back to top